/* =========== HOME PAGE =========== */
body.home .wp-block-lazyblock-diamond-gallery {
  .diamond-gallery {
    position: absolute;
    right: -100px;
    top: 100px;
    display: grid;
    grid-template-columns: repeat(3, 185px);
    grid-auto-rows: 185px;
    gap: 20px;
    transform: rotate(45deg);
  }

  .diamond-item {
    width: 185px;
    height: 185px;
    overflow: hidden;
    border-radius: 8px;

    img {
      width: 100%;
      height: 100%;
      object-fit: cover;
      transform: rotate(-45deg) scale(2);
    }
  }

  /* Between 1110px and 1024px */
  @media (max-width: 1110px) and (min-width: 1024px) {
    .diamond-gallery {
      right: -180px;
    }
  }

  /* Tablet */
  @media (max-width: 1024px) {
    .diamond-gallery {
      right: -170px;
      top: 0px;
      grid-template-columns: repeat(3, 140px);
      grid-auto-rows: 140px;
      gap: 16px;
    }

    .diamond-item {
      width: 140px;
      height: 140px;
    }
  }

  /* Mobile */
  @media (max-width: 765px) {
    .diamond-gallery {
      right: -160px;
      top: -105px;
      grid-template-columns: repeat(3, 120px);
      grid-auto-rows: 120px;
      gap: 14px;
    }

    .diamond-item {
      width: 120px;
      height: 120px;
      border-radius: 6px;
    }
  }

  @media (max-width: 615px) {
    .diamond-gallery {
      right: -160px;
      top: 0px;
      grid-template-columns: repeat(3, 100px);
      grid-auto-rows: 100px;
      gap: 14px;
    }

    .diamond-item {
      width: 100px;
      height: 100px;
      border-radius: 6px;
    }
  }

  @media (max-width: 465px) {
    .diamond-gallery {
      right: -160px;
      top: 0px;
      grid-template-columns: repeat(3, 80px);
      grid-auto-rows: 80px;
      gap: 14px;
    }

    .diamond-item {
      width: 80px;
      height: 80px;
      border-radius: 6px;
    }
  }
}


/* =========== OTHER PAGES =========== */
body:not(.home) .wp-block-lazyblock-diamond-gallery {
    .diamond-gallery {
    position: absolute;
    right: -100px;
    top: -180px;
    display: grid;
    grid-template-columns: repeat(3, 185px);
    grid-auto-rows: 185px;
    gap: 20px;
    transform: rotate(45deg);
  }

  .diamond-item {
    width: 185px;
    height: 185px;
    overflow: hidden;
    border-radius: 8px;

    img {
      width: 100%;
      height: 100%;
      object-fit: cover;
      transform: rotate(-45deg) scale(2);
    }
  }

  /* Between 1110px and 1024px */
  @media (max-width: 1110px) and (min-width: 1024px) {
    .diamond-gallery {
      right: -180px;
    }
  }

  /* Tablet */
  @media (max-width: 1024px) {
    .diamond-gallery {
      right: -170px;
      top: 0px;
      grid-template-columns: repeat(3, 140px);
      grid-auto-rows: 140px;
      gap: 16px;
    }

    .diamond-item {
      width: 140px;
      height: 140px;
    }
  }

  /* Mobile */
  @media (max-width: 765px) {
    .diamond-gallery {
      right: -160px;
      top: -105px;
      grid-template-columns: repeat(3, 120px);
      grid-auto-rows: 120px;
      gap: 14px;
    }

    .diamond-item {
      width: 120px;
      height: 120px;
      border-radius: 6px;
    }
  }

  @media (max-width: 615px) {
    .diamond-gallery {
      right: -180px;
      top: 0px;
      grid-template-columns: repeat(3, 100px);
      grid-auto-rows: 100px;
      gap: 14px;
    }

    .diamond-item {
      width: 100px;
      height: 100px;
      border-radius: 6px;
    }
  }

  @media (max-width: 465px) {
    .diamond-gallery {
      right: -160px;
      top: 0px;
      grid-template-columns: repeat(3, 80px);
      grid-auto-rows: 80px;
      gap: 14px;
    }

    .diamond-item {
      width: 80px;
      height: 80px;
      border-radius: 6px;
    }
  }
}